// This file is part of www.nand2tetris.org
// and the book "The Elements of Computing Systems"
// by Nisan and Schocken, MIT Press.
// File name: projects/04/Fill.asm

// Runs an infinite loop that listens to the keyboard input.
// When a key is pressed (any key), the program blackens the screen,
// i.e. writes "black" in every pixel;
// the screen should remain fully black as long as the key is pressed. 
// When no key is pressed, the program clears the screen, i.e. writes
// "white" in every pixel;
// the screen should remain fully clear as long as no key is pressed.

// Put your code here.

//leinolm

(MAIN)

@KBD
D=M
@WHITE
D;JEQ
@BLACK
0;JMP


(BLACK)
@SCREEN
D=A
@R0
M=D
(BLACKLOOP)

@R0
A=M
M=-1
@1
D=D+A
@R0
M=D

@KBD
D=A-D
@BLACKLOOP
D=D;JGE
@MAIN
0;JMP


(WHITE)
@SCREEN
D=A
@R0
M=D
(WHITELOOP)

@R0
A=M
M=0
@1
D=D+A
@R0
M=D

@KBD
D=A-D
@WHITELOOP
D=D;JGE
@MAIN
0;JMP



(WHITEREAL)
@SCREEN
M=0
@MAIN
0;JMP


(BLACKREAL)
@SCREEN
M=-1
@MAIN
0;JMP


(END)
0;JMP